# How to customize the Login window and the logo

The default Login window can be changed and a different logo can be set.\
The parameter involved is the following:

```json
"pathLogo": "",
```

Supposing to have a company\_logo.png file, edit the parameter as in the following example:

```json
"pathLogo": "/static/config/images/company_logo.png",
```

Logos are supported in these formats: .png, .svg and .jpg.

You can also edit the **strings** appearing in the Login window going to the “labels” section:

```json
"labels": {
        "title": {"en":"Welcome!"},
        "subTitle": {"en":"Nice to see you again."}
```

The **error** appearing in the Login window when the Username or the Password are incorrect can be configured in the `“errors”` section:

```json
"errors": {
        "401": {
          "en": "This username and password combination is wrong.",
          "it": "Combinazione nome utente e password sbagliata."
```

Use the `"pathHeaderLogo"` parameter to change the icon appearing at the top left-hand corner of the File Manager screen.\
Supposing to have a `company_logo.svg` file, edit the parameter as in the following example:

```json
"pathHeaderLogo": "/static/config/images/company_logo.svg",
```

Images are stored in the images directory at this path:

```json
<install_dir>/wlp/usr/servers/<steng>/web/static/config/images.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-mover-1.21/file-manager/customize-file-manager-externals/how-to-customize-the-login-window-and-the-logo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
